Subject: bug#78677: RegEx error

From: DANIL10RUS <[email-masked]>
Date: Tue, 3 Jun 2025 00:25:16 +0300

danil@archlinux ~/minecraft_server> ls purpur-*.jar | grep -i "[^a-z\-\.]"
purpur-2416.jar
danil@archlinux ~/minecraft_server> ls purpur-*.jar | grep -i "[^a-z\.\-]"
purpur-2416.jar

Hello, encountered a RegEx error. For some reason grep doesn't recognize
the “-” in \-\. but if we do \.\- it will work. Why is that?